Loading...
Searching...
No Matches
pappso::TimsXicExtractorInterface Class Reference

`#include <timsxicextractorinterface.h>`

Inheritance diagram for pappso::TimsXicExtractorInterface:

## Public Member Functions

| TimsXicExtractorInterface (MsRunReaderSPtr &msrun_reader)
virtual | ~TimsXicExtractorInterface ()
Public Member Functions inherited from pappso::MsRunXicExtractorInterface
void | setXicExtractMethod (XicExtractMethod method)
| set the XIC extraction method
void | setRetentionTimeAroundTarget (double range_in_seconds)
| set the retention time range in seconds around the target rt
virtual void | extractXicCoordSPtrList (UiMonitorInterface &monitor, std::vector< XicCoordSPtr > &xic_coord_list) final
| extract a list of XIC given a list of xic coordinates to extract
virtual void | extractXicCoordSPtrListParallelized (UiMonitorInterface &monitor, std::vector< XicCoordSPtr > &xic_coord_list) final
| multithreaded XIC extraction
const MsRunIdCstSPtr & | getMsRunId () const
const MsRunReaderSPtr & | getMsRunReaderSPtr () const
| get the msrunreader currently used for XIC extraction
void | setPostExtractionTraceFilterCstSPtr (pappso::FilterInterfaceCstSPtr &filter)
| filter interface to apply just after XIC extration on each trace

## Protected Attributes

TimsData * | mp_timsData
Protected Attributes inherited from pappso::MsRunXicExtractorInterface
MsRunReaderSPtr | msp_msrun_reader
XicExtractMethod | m_xicExtractMethod = XicExtractMethod::max
double | m_retentionTimeAroundTarget = std::numeric_limits<double>::max()
pappso::FilterInterfaceCstSPtr | mcsp_postExtractionTraceFilter = nullptr

## Private Attributes

friend | TimsData

## Additional Inherited Members

Protected Member Functions inherited from pappso::MsRunXicExtractorInterface
| MsRunXicExtractorInterface (MsRunReaderSPtr &msrun_reader)
| constructor is private, use the MsRunXicExtractorFactory
| MsRunXicExtractorInterface (const MsRunXicExtractorInterface &other)
virtual | ~MsRunXicExtractorInterface ()
virtual void | postExtractionProcess (UiMonitorInterface &monitor, std::vector< XicCoordSPtr >::iterator it_xic_coord_list_begin, std::vector< XicCoordSPtr >::iterator it_xic_coord_list_end)
| possible post extraction process, eventually trace filters
virtual void | protectedExtractXicCoordSPtrList (UiMonitorInterface &monitor, std::vector< XicCoordSPtr >::iterator it_xic_coord_list_begin, std::vector< XicCoordSPtr >::iterator it_xic_coord_list_end)=0

## Detailed Description

Todo:
  set of minimum functions to build XICs using Tims data

Definition at line 42 of file timsxicextractorinterface.h.

## Constructor & Destructor Documentation

## TimsXicExtractorInterface()

TimsXicExtractorInterface::TimsXicExtractorInterface | ( | MsRunReaderSPtr & | msrun_reader | ) |

Definition at line 34 of file timsxicextractorinterface.cpp.

: MsRunXicExtractorInterface(msrun_reader)
{
pappso::TimsMsRunReaderMs2 *tims2_reader =
dynamic_cast<pappso::TimsMsRunReaderMs2 *>(msrun_reader.get());
if(tims2_reader != nullptr)
{
mp_timsData = tims2_reader->getTimsDataSPtr().get();
}
else
{
throw pappso::ExceptionNotPossible(QObject::tr(
"error: TimsXicExtractorInterface must use a TimsMsRunReaderMs2"));
}
}
pappso::ExceptionNotPossible
Definition exceptionnotpossible.h:29
pappso::MsRunXicExtractorInterface
Definition msrunxicextractorinterface.h:49
pappso::TimsMsRunReaderMs2
Definition timsmsrunreaderms2.h:39
pappso::TimsMsRunReaderMs2::getTimsDataSPtr
virtual TimsDataSp getTimsDataSPtr()
give an access to the underlying raw data pointer
Definition timsmsrunreaderms2.cpp:298
pappso::TimsXicExtractorInterface::mp_timsData
TimsData * mp_timsData
Definition timsxicextractorinterface.h:51

References pappso::TimsMsRunReaderMs2::getTimsDataSPtr(), and mp_timsData.

## ~TimsXicExtractorInterface()

TimsXicExtractorInterface::~TimsXicExtractorInterface | ( |  | ) |

virtual

Definition at line 52 of file timsxicextractorinterface.cpp.

{
}

## Member Data Documentation

## mp_timsData

TimsData* pappso::TimsXicExtractorInterface::mp_timsData

protected

Definition at line 51 of file timsxicextractorinterface.h.

Referenced by TimsXicExtractorInterface().

## TimsData

friend pappso::TimsXicExtractorInterface::TimsData

private

Definition at line 44 of file timsxicextractorinterface.h.

The documentation for this class was generated from the following files:

- pappsomspp/vendors/tims/xicextractor/timsxicextractorinterface.h
- pappsomspp/vendors/tims/xicextractor/timsxicextractorinterface.cpp